public class Database
{
	property Connection String
	
	public Database()
	{
		// set the default connection string
	}
	
	public Database(string connectionString)
	{
		// set the default connetcion string as the connection string passed as the parameter
	}
}


public class SP : Database
{
	public void CreateUser(parameters)
	{
		// use the connection string from the derived class
	}	
}